﻿// =================================================================================================
// Copyright © Woodlands Solutions, LLC. 2008-2012.  All Rights Reserved.
// Author :  Steve Wall
// Date   :  09/13/2012
// =================================================================================================

#region Using Statements
using System.Windows;
using Infragistics.Windows;
using Infragistics.Controls.Menus;
using System;
using Infragistics.Controls.Interactions.Primitives;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using Infragistics.Controls.Primitives;
#endregion

namespace XamFormulaEditor
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void XDTloaded(object sender, RoutedEventArgs e)
        {            
            ComboBox cb = Utilities.GetDescendantFromName(sender as DependencyObject, "OperandSearchFilterComboBox") as ComboBox;
            cb.SelectedIndex = 3;
            cb.IsEnabled = false;

            EmbeddedTextBox etb = Utilities.GetDescendantFromName(sender as DependencyObject, "OperandSearchTextBox") as EmbeddedTextBox;
            etb.IsReadOnly = true;            

            XamDataTree xdt = Utilities.GetDescendantFromName(sender as DependencyObject, "OperandTree") as XamDataTree;
            Dispatcher.BeginInvoke(new Action(() => 
            {
                (xdt.ItemsSource as FilteredCollection<OperandInfo>).ApplyFilter(t => t.Name != "Controls");                

            }), System.Windows.Threading.DispatcherPriority.SystemIdle, null);
        }
    }
}
